Compatibility

Please note… since sales of Andromeda Photoshop plug-in products haven’t been enough to cover engineering expenses in keeping up with new Adobe Photoshop versions (not to mention new Windows OS or Macintosh OS versions and their impact), Andromeda sadly called an end to new and existing Photoshop plug-in product development and maintenance as of January of 2014. Only Photoshop CC 2014 (up to Windows OS version 8.1 or up to Macintosh OS 10.8) is officially supported by our products. Quite simply, there is not enough customer interest or financing to continue active development on Photoshop plug-in products.

We’ve had many passionate customers inform us they want to keep using our products on newer operating systems with newer versions of Photoshop (CC 2015, or CC 2017), but there is simply not enough interest or financing for us to pursue that business. No one wants to pay just to have their old software keep working on new platforms as they roll out.

A few of our customers have found out through their own determination it is possible to get our products to run on Photoshop CC 2015 using a “manual installation technique”. We share what has been given to us here: Click here for more info. We no longer have the resources to test or confirm whether these steps work.

We thank you, our loyal customers, for many good years together. Thank you for all the support, feedback, and beautiful images we’ve produced, hand-in-hand.

Below is a chart outlining the compatibility of Andromeda’s Photoshop Plug-ins. All of our plug-ins are compatible with Photoshop and Photoshop Elements. To run Mac versions in 32 bit mode, if needed for Mac Photoshop CS5, please see our FAQ’sIf you have specific questions about compatibility please contact: orders@andromeda.com.

CompatibilityChart_2015

Comments are closed